import request from '@/utils/request'

// 查询缴费单
export function getBillInvoiceList(data) {
  return request({
    url: '/bill/invoice/list',
    method: 'post',
    data: {
      billId: data.billId, // 缴费项目id
      phase: data.phase,
      building: data.building,
      unit: data.unit,
      roomNo: data.roomNo,
      ownerName: data.ownerName,
      billStatus: data.billStatus,
      payName: data.payName,
      pageSize: data.pageSize,
      pageNum: data.pageNum
    }
  })
}

// 修改缴费项 收费项名称,缴费项说明,截止时间
export function updateBillNameAndBillExplainAndEndDate(data) {
  return request({
    url: '/bill/invoice/updateBill',
    method: 'put',
    data: {
      id: data.id, // 收费项ID
      billName: data.billName, // 收费项名称
      billExplain: data.billExplain, // 缴费项说明
      endDate: data.endDate // 截止时间
    }
  })
}

// 根据ID 查询缴费项信息
export function getBillByIdInfo(id) {
  return request({
    url: '/bill/' + id,
    method: 'get'
  })
}

//  根据 id 批量删除 缴费单
export function deleteBillInvoiceById(data) {
  return request({
    url: '/bill/invoice/delete',
    method: 'post',
    data
  })
}

// 设置线下缴费
export function billInvoiceOfflinePayment(data) {
  return request({
    url: '/bill/invoice/offlinePayment',
    method: 'post',
    data
  })
}
